List Statement Jobs
Retrieve a list of StatementJobs.
Retrieves a list of all StatementJobs for a specific Organization. You can filter the results based on:
- StatementJob status.
- Whether StatementJob is neither completed nor cancelled but remains active.
- The ID of the Bill the StatementJob is associated with.
You can also paginate the results for easier management.
WARNING!
- You can use only one of the valid Query parameters:
active,status, orbillIdin any call. If you use more than one of these Query parameters in the same call, then a 400 Bad Request is returned with an error message.
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
The unique identifier (UUID) of your Organization. The Organization represents your company as a direct customer of our service.
Query Parameters
Specifies the maximum number of StatementJobs to retrieve per page.
1 <= x <= 100The nextToken for multi-page retrievals. It is used to fetch the next page of StatementJobs in a paginated list.
Boolean filter on whether to only retrieve active (i.e. not completed/cancelled) StatementJobs.
- TRUE - only active StatementJobs retrieved.
- FALSE - all StatementJobs retrieved.
Filter using the StatementJobs status. Possible values:
PENDINGRUNNINGCOMPLETECANCELLEDFAILED
Filter Statement Jobs by billId